package domain

type AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult struct {
	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   查询结果     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误描述     */
	Message *string `json:"message,omitempty" `

	/*
	   版本同步数量     */
	Data *int64 `json:"data,omitempty" `
}

func (s *AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult) SetErrorCode(v string) *AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult) SetSuccess(v bool) *AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult) SetMessage(v string) *AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult) SetData(v int64) *AlibabaWdkMarketingOpenVersionCountWdkMarketOpenResult {
	s.Data = &v
	return s
}
